#!/usr/bin/env bash

DEVICE_NAME=$(cat /proc/device-tree/model)

case $DEVICE_NAME in
    "RG353Mm" | "Anbernic RG353V" | "Anbernic RG353P" | "Anbernic RG ARC-D" | "Anbernic RG ARC-S" | "Anbernic RG353PS" | "Anbernic RG353VS")
    exec fileman_RK3566
    ;;
    "Anbernic RG552")
    exec fileman_RK3399
    ;;
    "Powkiddy x55")
    exec fileman_RK3566_X55
    ;;
    *)
    exec fileman_PC
esac

